<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.user("JSP UserRoleEdit: start")}

            <div class="divcont">
                <div class="divleft">
                    <%@ include file="/WEB-INF/jsp/view/regio/jspf/LeftUserRoleEdit.jspf" %>
                </div>
                <div class="divright">
                    
                    <p class="tdpause">Edit Role:</p>                   
                    
                    <c:url var="ok_url"  value="/regiouser/roleeditinput/ok" />
                    <c:url var="cancel_url"  value="/regiouser/roleeditinput/cancel" />
                    <form:form action="${ok_url}" method="post" modelAttribute="roleef">
                        <c:if test="${action == 'edit'}">
                            <form:hidden path="rolename"/>
                        </c:if>
                        
                        <table>
                            <tr><td class="tdlabel">Name:</td><td>
                            <c:if test="${action == 'edit'}">
                                ${roleef.rolename}
                            </c:if>
                            <c:if test="${action == 'new'}">
                                <form:input path="rolename"/>
                            </c:if>
                            </td></tr>
                            <tr><td class="tdlabel">Description:</td><td><form:input path="description"/></td></tr>
                            <tr><td colspan="2">(Below: use * or % for pattern, separate entries with space)</td></tr>
                            <tr><td class="tdlabel">Reporting: allowed ${ident.wpts}:</td><td><form:input path="reportpot"/></td></tr>
                            <tr><td class="tdlabel">Reporting: allowed ${ident.wbts}:</td><td><form:input path="reportball"/></td></tr>
                            <tr><td class="tdlabel">RESTful: allowed ${ident.wpts}:</td><td><form:input path="sendpot"/></td></tr>
                            <tr><td class="tdlabel">RESTful: allowed ${ident.wbts}:</td><td><form:input path="sendball"/></td></tr>
                            <tr><td class="tdlabel">Master data: allowed ${ident.wpts}:</td><td><form:input path="maintainpt"/></td></tr>
                            <tr><td class="tdlabel">Master data: allowed ${ident.wbts}:</td><td><form:input path="maintainbt"/></td></tr>
                            <!-- 
                            <tr><td class="tdlabel">Pause/Resume systems</td><td><form:checkbox path="pauseresume"/></td></tr>
                            -->
                            <tr><td class="tdlabel">System configuration</td><td><form:checkbox path="config"/></td></tr>
                            <tr><td class="tdlabel">Monitoring</td><td><form:checkbox path="monitor"/></td></tr>
                            <tr><td class="tdlabel tdpause">User and Role maintenance</td><td><form:checkbox path="user"/></td></tr>
                        </table>
                        
                        <table>
                            <tr>
                                <td><button type="submit">${ident.ws.wsave}</button></td>
                                <td><button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button></td>
                            </tr>
                        </table>
                    
                    </form:form>
                    
                </div>
            </div>

    </body>
</html>