<%@ include file="/WEB-INF/jsp/main.jspf" %>

        ${logg.rulem("JSP RuleMainList: start")}

            <div class="divcont">
                <div class="divleft"><!-- On this page we do not use the left side  --></div>
                <div class="divright">

                    <h2>Rules</h2>
                    
                    <!-- Selection input form -->
                    <c:url var="ok_url"  value="/reporter/rulemainlistselform/ok" />
                    <form:form action="${ok_url}" method="post" modelAttribute="rmselform">
                        <table><tr>
                            <td>Rule Id:</td>
                            <td><form:input path="ruleid"/></td>
                            <td>Description:</td>
                            <td><form:input path="description"/></td>
                            <td></td>
                        </tr><tr>
                            <td>${ident.wpt}:</td>
                            <td><form:input path="pottype"/></td>
                            <td>${ident.wbt}:</td>
                            <td><form:input path="balltype"/></td>
                            <td><button type="submit">${ident.ws.wok}</button></td>
                        </tr><tr>
                            <td colspan="5">(Pattern character is * or %, case sensitive)</td>
                        </tr></table>
                    </form:form>
                    
                    <!-- Content table if there was something selected -->
                    ${logg.rulem("JSP RuleMainList: check if there was rules selected")}
                    <c:if test="${rmlist.size() > 0}">
                        ${logg.rulem("JSP RuleMainList: yes, so create list table")}
                        <table>
                        
                            <tr>
                                <td><b>Rule Id</b></td>
                                <td><b>Description</b></td>
                                <td><b>${ident.wpt}</b></td>
                                <td><b>${ident.wbt}</b></td>
                                <td></td><td></td><td></td>
                            </tr>
                            
                            <c:forEach var="rm" items="${rmlist}">
                                <tr>
                                    <td>${rm.ruleid}</td>
                                    <td>${rm.description}</td>
                                    <td>${rm.pottype}</td>
                                    <td>${rm.balltype}</td>
                                    
                                    <td> <!-- EDIT -->
                                        <c:if test="${rm.actionedit}">
                                            <form action="<c:url value = "/reporter/rulemainlist/edit/${ident.tourl(rm.ruleid)}"/>">
                                                <button type="submit">${ident.ws.wedit}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- DELETE -->
                                        <c:if test="${rm.actiondelete}">
                                            <form action="<c:url value = "/reporter/rulemainlist/delete/${ident.tourl(rm.ruleid)}"/>">
                                                <button type="submit">${ident.ws.wdelete}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                    <td> <!-- COPY -->
                                        <c:if test="${rm.actioncopy}">
                                            <form action="<c:url value = "/reporter/rulemainlist/copy/${ident.tourl(rm.ruleid)}"/>">
                                                <button type="submit">${ident.ws.wcopy}</button>
                                            </form>
                                        </c:if>
                                    </td>
                                    
                                </tr>
                            </c:forEach>
                        
                        </table>
                    </c:if>
                    
                </div>
            </div>

    </body>
</html>