<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft">
                </div>
                <div class="divright">
                    <h2>Congratulations!</h2>
                    
                    <p>The new system is up and running with the following parameters:</p>
                    <table>
                        <tr><td class="tdlabel tdpause">System:</td><td></td></tr>
                        <tr><td class="tdlabel">System Id:</td><td>${cs.getSysid()}</td></tr>
                        <tr><td class="tdlabel">System Name:</td><td>${cs.getSysname()}</td></tr>
                        <tr><td class="tdlabel">System Type:</td><td>${cs.getSystype()}</td></tr>
                        <tr><td class="tdlabel">Store Type:</td><td>${cs.getStoretype()}</td></tr>
                        <tr><td class="tdlabel">Description:</td><td>${cs.getDescription()}</td></tr>
                        <tr><td class="tdlabel">URL:</td><td>${cp.getUrl()}</td></tr>
                        <tr><td class="tdlabel">Application name:</td><td>${cp.getAppname()}</td></tr>
                        <tr><td class="tdlabel">REST user:</td><td>${cp.getRestuser()}</td></tr>
                        <tr><td class="tdlabel tdpause">Status:</td><td>${cs.getSysstatus()}</td></tr>
                        
                        <tr><td class="tdlabel tdpause">Config DB:</td><td></td></tr>
                        <tr><td class="tdlabel">Name:</td><td>${bif.getDbname()}</td></tr>
                        <tr><td class="tdlabel">Type:</td><td>${bif.getDbtype()}</td></tr>
                        <tr><td class="tdlabel">Description:</td><td>${bif.getDbdescription()}</td></tr>
                        <tr><td class="tdlabel">Driver:</td><td>${bif.getDbdriver()}</td></tr>
                        <tr><td class="tdlabel">Prefix:</td><td>${bif.getDbprefix()}</td></tr>
                        <tr><td class="tdlabel">Server:</td><td>${bif.getDbserver()}</td></tr>
                        <tr><td class="tdlabel">String:</td><td>${bif.getDbconnstr()}</td></tr>
                        <tr><td class="tdlabel">Schema:</td><td>${bif.getDbschema()}</td></tr>
                        <tr><td class="tdlabel">User:</td><td>${bif.getDbuser()}</td></tr>
                        <tr><td class="tdlabel tdpause">Password:</td><td>${bif.getDbpassword()}</td></tr>
                    </table>
                    
                    <c:if test="${ident.reg.trialversion}">
                    	<p style="color: red;">This is a trial version, restrictions apply.</p>
                    </c:if>
                    <c:if test="${!ident.reg.trialversion}">
                    	<p>Registration info:</p>
                    	<table>
                    		<tr><td class="tdlabel">Registration expires:</td><td>${ident.reg.expirytext}</td></tr>
                    		<tr><td class="tdlabel">Maximum number of servers:</td><td>${ident.reg.maxservers}</td></tr>
                    		<tr><td class="tdlabel">Domains:</td><td>${ident.reg.domain}</td></tr>
                    	</table>
                    </c:if>
                    
                    <c:if test="${decision == 'join' and systype != 'REPORTER'}">
                        <p>You can log in to the Cluster's Regio for further configuration and monitoring.</p>
                    </c:if>
                    <c:if test="${decision != 'join' or systype == 'REPORTER'}">
                        <p><a href="<c:url value = "/"/>">Go to the system's start page</a></p>
                    </c:if>
                </div>
            </div>
    </body>
</html>