<%@tag description="display attributes tree" pageEncoding="UTF-8" %>
<%@attribute name="ajsp" type="sygr.pots.app.model.trans.AttrJsp" required="true" %>
<%@attribute name="callback" type="String" required="true" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@taglib prefix="template" tagdir="/WEB-INF/tags" %>
<link rel="stylesheet" href="<c:url value="/resource/stylesheet/main.css" />" />
<li class="attrtreeli">
    <table class="attrtreetable"><tr class="attrtreetr">
        <td class="attrtreetd">
            <c:if test="${fn:length(ajsp.nodes) > 0}">
            <form action="<c:url value = "${callback}/${ident.tourl(ajsp.id)}"/>">
                <c:if test="${ajsp.showsubs}">
                 <button type="submit" class="ocbutton">${ident.ws.wclose}</button>
                </c:if>
                <c:if test="${!ajsp.showsubs}">
                 <button type="submit" class="ocbutton">${ident.ws.wopen}</button>
                </c:if>
            </form>
            </c:if>
            <c:if test="${fn:length(ajsp.nodes) == 0}">
                <button class="invibutton">-</button>
            </c:if>
        </td>
        <td class="attrtreetd">${ajsp.name}</td>
        <td class="attrtreetd attrvalue">${ajsp.value}</td>
    </tr></table>

    <c:if test="${fn:length(ajsp.nodes) > 0 and ajsp.showsubs}">
        <table class="attrtreetable"><tr class="attrtreetr"><td class="attrtreetd"><button class="invibutton">-</button></td><td class="attrtreetd">
        <ul class="attrtreeul">
            <c:forEach var="child" items="${ajsp.nodes}">
                <template:RepRecursion ajsp="${child}" callback="${callback}" />
            </c:forEach>
        </ul>
        </td></tr></table>
    </c:if>
</li>
