<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"></div>
                <div class="divright">
                    
                    <h2>Overall status: <template:Lamp text="${diagdbs.status}" /></h2>
                    <h2>Databases</h2>
                    <table>
                    <tr>
                    		<td><b>Status</b></td>
                            <td><b>Id</b></td>
                            <td><b>Description</b></td>
                            <td><b>Type</b></td>
                            <td><b>DbStatus</b></td>
                            <td><b>Real Status</b></td>
                            <td><b>=?</b></td>
                            <td><b>Formatted</b></td>
                            <td><b>Usage</b></td>
                            <td><b>Version</b></td>
                            <td><b>SysVersion</b></td>
                            <td><b>=?</b></td>
                            <td><b>ConfigRepo</b></td>
                            <td><b>Own ER OK?</b></td>
                            <td><b>Write test</b></td>
                            <td><b>Read test</b></td>
                            <td><b>Linked?</b></td>
                            <td><b>File db.json</b></td>
                    </tr>
                    <c:forEach var="dbs" items="${diagdbs.dbs}">
                    
                    	<tr>
                    		<td><template:Lamp text="${dbs.status}" /></td>
                            <td>${dbs.dbid}</td>
                            <td>${dbs.description}</td>
                            <td>${dbs.dbtype}</td>
                            <td>${dbs.dbstatus}</td>
                            <td>${dbs.realstatus}</td>
                            <td><template:Lamp text="${dbs.comparestatus}" /></td>
                            <td>${dbs.formatted}</td>
                            <td>${dbs.dbusage}</td>
                            <td>${dbs.version}</td>
                            <td>${dbs.sysversion}</td>
                            <td><template:Lamp text="${dbs.compareversion}" /></td>
                            <td><template:Lamp text="${dbs.configrepo}" /></td>
                            <td>${dbs.erok}</td>
                            <td><template:Lamp text="${dbs.write}" /></td>
                            <td><template:Lamp text="${dbs.read}" /></td>
                            <td>${dbs.linked}</td>
                            <td><template:Lamp text="${dbs.dbjson}" /></td>
                    	</tr>
                    
                    </c:forEach>
                    </table>
                    <br/>
                    
                    <h2>EntityRepo request types</h2>
                    <table>
                    <tr>
                    		<td><b>Status</b></td>
                            <td><b>Request</b></td>
                            <td><b>DB links received</b></td>
                    </tr>
                    <c:forEach var="dbers" items="${diagdbs.dbers}">
                    
                    	<tr>
                    		<td><template:Lamp text="${dbers.status}" /></td>
                            <td>${dbers.description}</td>
                            <td>${dbers.linked}</td>
                    	</tr>
                    	
                    </c:forEach>
                    </table>
                    <br/>
                    
                    <h2>Logs</h2>
                    <table>
                    <c:forEach var="log" items="${diagdbs.logs}">
                    
                    	<tr>
                    		<td>${log}</td>
                    	</tr>
                    	
                    </c:forEach>
                    </table>
                    <br/>
                    
                </div>
            </div>

    </body>
</html>