<%@ include file="/WEB-INF/jsp/main.jspf" %>

            <div class="divcont">
                <div class="divleft"></div>
                <div class="divright">
                    
                    <p class="tdpause">Initialize database ${cdif.dbid}</p>
                    <br/>
                    
                    <c:url var="ok_url"  value="/config/configreceivedbinitwarn/ok" />
                    <c:url var="cancel_url"  value="/config/configreceivedbinitwarn/cancel" />
                    <c:url var="send_url"  value="/config/configreceivedbinitwarn/send" />
                    <form:form action="${ok_url}" method="post" modelAttribute="cdif">
                        <h2>WARNING</h2>
                        <br/>
                        <p>With database initialization:</p>
                        <ul>
                        	<li>All SYGR tables are deleted and recreated in the database</li>
                        	<li>All data is unrecoverably LOST</li>
                        </ul>
                        <br/>
                        
                        <c:if test="${ident.dbinitsecure}">
                        	<p>If you want to continue, SYGR sends an e-mail with a one time identifier to the SYSTEM target</p>
                        	<p><button type="submit" formaction="${send_url}">${ident.ws.wsend} Send e-mail</button><p>
                        	<br/>
                        	<table>
                            	<tr><td class="tdlabel tdpause">Identifier:</td><td><form:input path="secureid"/></td></tr>
                        	</table>
                        </c:if>
                    
                        <button type="submit">${ident.ws.wok} Execute initialization</button>
                        <button type="submit" formaction="${cancel_url}">${ident.ws.wcancel}</button>
                    </form:form>
                    
                </div>
            </div>
    </body>
</html>